/*
数据库变动记录    2018-04-17  V2.0.3
*/

/*班级表b_class新建字段“type”，区分行政班和企业班,0行政班，1企业班*/
ALTER TABLE `b_class`
  MODIFY COLUMN `type`  varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL
  DEFAULT 0 COMMENT '0行政班，1企业班' AFTER `create_date`;
/**
班级表b_class新建字段“grade_code”,所属年级
 */
ALTER TABLE `b_class`
  ADD COLUMN `grade_code`  varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL
  COMMENT '所属年级code' AFTER `type`;

/**
班级表b_class新建字段“agency_code”,所属教学单位
 */
ALTER TABLE `b_class`
  ADD COLUMN `agency_code`  varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL
  COMMENT '教学单位' AFTER `grade_code`;
/*
新建作息时间表b_course_code（商务应该只有上下午课，没有晚上课）
    sql文件位置：sql>new_table>2.0.3>b_course_code.sql
新建组班表b_edu_class
    sql文件位置：sql>new_table>2.0.3>b_edu_class.sql
新建年级表b_grade
    sql文件位置：sql>new_table>2.0.3>b_grade.sql
*/

/**
学期表新建“current”字段，标识是否当前学期
 */
ALTER TABLE `b_term`
  ADD COLUMN `current`  varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL
  DEFAULT '0' COMMENT '是否是当前学期0否  1是' AFTER `name`;

/*
学生表新建“grade_code”字段，所属年级code
 */
ALTER TABLE `b_student`
  ADD COLUMN `grade_code`  varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL
  COMMENT '年级' AFTER `recommend_course`;

/*
用户表新建“agency_code”字段，所属教学单位code
 */
ALTER TABLE `s_user`
  ADD COLUMN `agency_code`  varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属教学单位' AFTER `git_lab_impression_token`;
/*
用户表新建“is_created”字段，是否是创建的用户,0否1是
 */
ALTER TABLE `s_user`
  ADD COLUMN `is_created`  varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 0 COMMENT '是否是创建的用户（企业教学负责人等）0否1是' AFTER `agency_code`;

/*
子任务表删除“agency_code”字段
 */
ALTER TABLE `b_subtask`
DROP COLUMN `agency_code`;

/*
具体排课表删除“subtask_id”字段，增加“sub_agency_id”字段
 */
ALTER TABLE `b_schedule_dto`
CHANGE COLUMN `subtask_id` `sub_agency_id`  varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' AFTER `room_code`;

/*user表性别默认空*/
ALTER TABLE `s_user`
  MODIFY COLUMN `sex`  varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '性别（0：男，1：女）' AFTER `phone`;

/*学期表新建max_sl_code字段，排课转为开课时按照“学期+当前开课序号最大值”定义sl表的code字段*/
ALTER TABLE `b_term`
  ADD COLUMN `max_sl_code`  int(8) NULL DEFAULT 0 COMMENT '当前开课序号最大值' AFTER `current`;

/*开课表b_sl新建source字段 0系统导入   1排课生成*/
ALTER TABLE `b_sl`
  ADD COLUMN `source`  varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '来源  0系统导入   1排课生成' AFTER `audit_status`;

/*教师表新增所属教学单位字段*/
ALTER TABLE `b_teacher`
  ADD COLUMN `agency_code`  varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '所属教学单位' AFTER `recommend_course`;


ALTER TABLE `b_term`
  ADD COLUMN `week`  varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL AFTER `max_sl_code`;

/*删除user表无用字段*/
ALTER TABLE `s_user`
  DROP COLUMN `agency_code`,
  DROP COLUMN `is_created`;

/*新增周日*/
ALTER TABLE `b_schedule_dto`
ADD COLUMN `sunday`  varchar(64) NULL AFTER `sub_agency_id`;

/*意见表新增sub_agency_id，与开课id进行区分*/
ALTER TABLE `b_opinion`
  ADD COLUMN `sub_agency_id`  varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '子任务下教学单位id' AFTER `flag`;

/*子任务表新增排序*/
ALTER TABLE `b_subtask`
ADD COLUMN `subtask_seq`  varchar(10) NULL AFTER `grade_code`;

/*子公司表新增排序*/
ALTER TABLE `b_sub_agency`
ADD COLUMN `sub_agency_seq`  varchar(10) NULL AFTER `status`;

/*列表查询增加排序*/
ALTER TABLE `b_schedule_dto`
ADD COLUMN `dto_seq`  varchar(10) NULL AFTER `sunday`;

/*更改排序类型*/
ALTER TABLE `b_sl_schedule`
MODIFY COLUMN `seq`  int(64) NULL DEFAULT NULL COMMENT '节点id' AFTER `tea_code`;

ALTER TABLE `b_schedule_dto`
MODIFY COLUMN `dto_seq`  int(64) NULL DEFAULT NULL COMMENT '排序' AFTER `sunday`;

ALTER TABLE `b_sub_agency`
MODIFY COLUMN `sub_agency_seq`  int(10) NULL DEFAULT NULL AFTER `status`;

ALTER TABLE `b_subtask`
MODIFY COLUMN `subtask_seq`  int(10) NULL DEFAULT NULL AFTER `grade_code`;

/*增加排课合并格提示*/
ALTER TABLE `b_schedule_dto`
ADD COLUMN `lesson_cell`  int(10) NULL AFTER `dto_seq`,
ADD COLUMN `teacher_cell`  int(10) NULL AFTER `lesson_cell`,
ADD COLUMN `class_cell`  int(10) NULL AFTER `teacher_cell`,
ADD COLUMN `room_cell`  int(10) NULL AFTER `class_cell`;

